Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361671 - [RFE] Provide support docker seccomp profiles for OpenShift applications
Summary: [RFE] Provide support docker seccomp profiles for OpenShift applications
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.2.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Paul Weil
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks: 1379761
TreeView+ depends on / blocked
 
Reported: 2016-07-29 17:13 UTC by Ryan Howe
Modified: 2017-03-08 18:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1379761 (view as bug list)
Environment:
Last Closed: 2016-09-27 09:42:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Ryan Howe 2016-07-29 17:13:17 UTC
1. Proposed title of this feature request
2. Who is the customer behind the request?

Account name: (Acct. # 5646191

SRM customer: ?

TAM customer: ?

Strategic Customer: yes

3. What is the nature and description of the request?

 OpenShift to support docker seccomp profiles. 

https://trello.com/c/j5alQzVy/646-3-downstream-support-for-seccomp-profiles
https://github.com/kubernetes/kubernetes/issues/20870
https://github.com/docker/docker/blob/master/docs/security/seccomp.md

4. Why does the customer need this? (List the business requirements here)

  Ability to have better control over the syscall a container can make. 

5. How would the customer like to achieve this? (List the functional requirements here)
  
  Configure the profile via Security Context Constraint

Comment 2 errata-xmlrpc 2016-09-27 09:42:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1933


Note You need to log in before you can comment on or make changes to this bug.